namespace elm { 
inline ::efl::eolian::return_traits<Elm_Panel_Orient>::type Panel::orient_get() const
{
   Elm_Panel_Orient __return_value =  ::elm_obj_panel_orient_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Panel_Orient>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panel::orient_set( ::efl::eolian::in_traits<Elm_Panel_Orient>::type orient) const
{
    ::elm_obj_panel_orient_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Panel_Orient,  ::efl::eolian::in_traits<Elm_Panel_Orient>::type>(orient));
}
inline ::efl::eolian::return_traits<bool>::type Panel::hidden_get() const
{
   Eina_Bool __return_value =  ::elm_obj_panel_hidden_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panel::hidden_set( ::efl::eolian::in_traits<bool>::type hidden) const
{
    ::elm_obj_panel_hidden_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(hidden));
}
inline ::efl::eolian::return_traits<bool>::type Panel::scrollable_get() const
{
   Eina_Bool __return_value =  ::elm_obj_panel_scrollable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panel::scrollable_set( ::efl::eolian::in_traits<bool>::type scrollable) const
{
    ::elm_obj_panel_scrollable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(scrollable));
}
inline ::efl::eolian::return_traits<void>::type Panel::scrollable_content_size_set( ::efl::eolian::in_traits<double>::type ratio) const
{
    ::elm_obj_panel_scrollable_content_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(ratio));
}
inline ::efl::eolian::return_traits<void>::type Panel::toggle() const
{
    ::elm_obj_panel_toggle(this->_eo_ptr());
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<Elm_Panel_Orient>::type Panel::orient_get() const
{
   Elm_Panel_Orient __return_value =  ::elm_obj_panel_orient_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Elm_Panel_Orient>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panel::orient_set( ::efl::eolian::in_traits<Elm_Panel_Orient>::type orient) const
{
    ::elm_obj_panel_orient_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Elm_Panel_Orient,  ::efl::eolian::in_traits<Elm_Panel_Orient>::type>(orient));
}
inline ::efl::eolian::return_traits<bool>::type Panel::hidden_get() const
{
   Eina_Bool __return_value =  ::elm_obj_panel_hidden_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panel::hidden_set( ::efl::eolian::in_traits<bool>::type hidden) const
{
    ::elm_obj_panel_hidden_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(hidden));
}
inline ::efl::eolian::return_traits<bool>::type Panel::scrollable_get() const
{
   Eina_Bool __return_value =  ::elm_obj_panel_scrollable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Panel::scrollable_set( ::efl::eolian::in_traits<bool>::type scrollable) const
{
    ::elm_obj_panel_scrollable_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(scrollable));
}
inline ::efl::eolian::return_traits<void>::type Panel::scrollable_content_size_set( ::efl::eolian::in_traits<double>::type ratio) const
{
    ::elm_obj_panel_scrollable_content_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(ratio));
}
inline ::efl::eolian::return_traits<void>::type Panel::toggle() const
{
    ::elm_obj_panel_toggle(this->_eo_ptr());
}
inline elm::Panel::operator ::elm::Panel() const { return *static_cast< ::elm::Panel const*>(static_cast<void const*>(this)); }
inline elm::Panel::operator ::elm::Panel&() { return *static_cast< ::elm::Panel*>(static_cast<void*>(this)); }
inline elm::Panel::operator ::elm::Panel const&() const { return *static_cast< ::elm::Panel const*>(static_cast<void const*>(this)); }
} }

